summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rw-r--r--misc/xwinwrap/README2
-rw-r--r--misc/xwinwrap/slack-desc19
-rw-r--r--misc/xwinwrap/xwinwrap.SlackBuild79
-rw-r--r--misc/xwinwrap/xwinwrap.info10
4 files changed, 110 insertions, 0 deletions
diff --git a/misc/xwinwrap/README b/misc/xwinwrap/README
new file mode 100644
index 0000000000..9b89481bda
--- /dev/null
+++ b/misc/xwinwrap/README
@@ -0,0 +1,2 @@
+XWinWrap is an app that allows users of xgl to replace a desktop background
+with a movie or screensaver.
diff --git a/misc/xwinwrap/slack-desc b/misc/xwinwrap/slack-desc
new file mode 100644
index 0000000000..49cf772044
--- /dev/null
+++ b/misc/xwinwrap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+xwinwrap: XWinWrap (replace a desktop background with a movie or screensaver)
+xwinwrap:
+xwinwrap: xwinwrap is an app that allows users of xgl to replace a desktop
+xwinwrap: background with a movie or screensaver.
+xwinwrap:
+xwinwrap: This is the modified version of XWinWrap by Shantanu Goel.
+xwinwrap:
+xwinwrap:
+xwinwrap:
+xwinwrap:
+xwinwrap:
diff --git a/misc/xwinwrap/xwinwrap.SlackBuild b/misc/xwinwrap/xwinwrap.SlackBuild
new file mode 100644
index 0000000000..2d730c47ef
--- /dev/null
+++ b/misc/xwinwrap/xwinwrap.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+#
+# Slackware build script for XWinWrap
+#
+# Copyright 2011 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xwinwrap
+VERSION=${VERSION:-0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ue
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# He is the MELBA-BEING ... the ANGEL CAKE ... XEROX him ... XEROX him --
+gcc $SLKCFLAGS -Wall -lX11 -lXext -lXrender xwinwrap.c -o xwinwrap
+install -Dsm 0755 xwinwrap $PKG/usr/bin/xwinwrap
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/xwinwrap/xwinwrap.info b/misc/xwinwrap/xwinwrap.info
new file mode 100644
index 0000000000..d1026d0fc9
--- /dev/null
+++ b/misc/xwinwrap/xwinwrap.info
@@ -0,0 +1,10 @@
+PRGNAM="xwinwrap"
+VERSION="0.3"
+HOMEPAGE="http://tech.shantanugoel.com/projects/linux/shantz-xwinwrap"
+DOWNLOAD="http://sl1200.org/~erik/files/xwinwrap-0.3.tar.bz2"
+MD5SUM="13adacd4f41de45c797a7f615e2b3b71"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"